Name: qpopper
Version: 2.53
Release: 1C5
Copyright: BSD
Group: Networking/Daemons
Source: ftp://ftp.qualcomm.com/eudora/servers/unix/popper/qpopper2.53.tar.Z
Source1: poprelayd
Patch1: qpopper-2.53-pam.patch
Patch2: qpopper-2.53-cobalt.patch
Patch3: qpopper-2.53-cobalt-logging.patch
Summary: POP3 daemon from Qualcomm
Packager: Ian Burrell <iburrell@leland.stanford.edu>

%description
POP3 server from QUALCOMM, with the following features: lower memory
requirements, thus faster UIDL assists POP clients which "leave mail
on server" in determining which messages are new. Implements some
other extended POP3 commands. 

This version of qpopper is shadow passwords aware, provied your libc
supports this.
%changelog

* Tue Aug 10 1999 Will DeHaan <will@cobaltnet.com>
- Patched for pop-before smtp syslog'ing
- Set logging facility to mail
- Disabled pam.d/qpop install

* Thu Mar 15 1999 Duncan Laurie <duncan@cobaltnet.com>
- compile with --enable-servermode to eliminate
  the .pop file in users home dir

* Sat Jan 2 1999 Sridhar Gopal <gsri@cobaltnet.com>
- import pam patch
- import cobalt patch

%prep
%setup -n qpopper2.53
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
./configure --enable-specialauth --prefix=/usr --enable-servermode
make
make popauth
#RPM_OPT_FLAGS="$RPM_OPT_FLAGS" make linux

%install
install -m755 -s popper /usr/sbin/in.qpopper
install -m755 popper.8 /usr/man/man8/in.qpopper.8
install -m755 -s popauth /usr/sbin/popauth
install -m755 popauth.8 /usr/man/man8/popauth.8
install -m755 -o root -g mail -d /var/spool/mail/bulletins
install -m700 $RPM_SOURCE_DIR/poprelayd /usr/local/sbin
#touch /var/spool/mail/bulletins/bulldb.pag
#touch /var/spool/mail/bulletins/bulldb.dir
#chmod 640 /var/spool/mail/bulletins/bulldb.pag
#chmod 640 /var/spool/mail/bulletins/bulldb.dir

chmod 1777 /var/spool/mail

#mkdir -p /etc/pam.d
#install -m 644 qpop.pamd.conf /etc/pam.d/qpop

%post

# Change /etc/inetd.conf to use in.qpopper
mv /etc/inetd.conf /etc/inetd.conf.noqpopper
sed -e "s/ipop3d/in.qpopper/g" /etc/inetd.conf.noqpopper &> /etc/inetd.conf 

%files
%doc INSTALL doc/Release.Notes
%dir /var/spool/mail/bulletins
/usr/sbin/in.qpopper
/usr/sbin/popauth
/usr/man/man8/in.qpopper.8
/usr/man/man8/popauth.8
/usr/local/sbin/poprelayd
%attr(0644,root,root)
#%config /etc/pam.d/qpop
